Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMUnresolvedReference

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.SOMUnresolvedReference

All Implemented Interfaces:
  Serializable, SOMReference

public class SOMUnresolvedReference
extends SOMObject
implements SOMReference

Place holder for element(s) and attribute(s) not yet defined. When building a schema, the element or attribute reference for may not be available at the time the construction of the element or attribute is done. SOMUnresolvedReference is a place holder for those cases. Use SOMSchema.resolveReferences once the referenced object is available in the schema.

Version:
  1.0
Author:
  sharpe
See Also:
  Serialized Form

Constructor Summary
`SOMUnresolvedReference(SOMObject parent, String name)` Creating a SOMUnresolvedReference registers this instance in the schema's table of unresolved references.

Method Summary
`boolean` | `contains(SOMObject child)`
`String` | `getID()` Returns a printable element tag for this Schema Object
`String` | `getName()`
`void` | `setRef(SOMReference ref)`
`void` | `toXML(Writer rtn, int indent)` Outputs a formatted XML representation of SOMObject.

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMUnresolvedReference

    public SOMUnresolvedReference(SOMObject parent,
                                  String name)

  Creating a SOMUnresolvedReference registers this instance in the schema's table of unresolved references. The parent and name must be non-null references.

Parameters:
  `parent` -
  `name` -

Method Detail

### getID

    public String getID()

  Returns a printable element tag for this Schema Object

  Specified by:
    `getID` in interface `SOMReference`
  Specified by:
    `getID` in class `SOMObject`
  Returns:
    String representation of the element tag

### getName

    public String getName()

  Specified by:
    `getName` in interface `SOMReference`

### setRef

    public void setRef(SOMReference ref)

  Specified by:
    `setRef` in interface `SOMReference`

### contains

    public boolean contains(SOMObject child)

  Specified by:
    `contains` in interface `SOMReference`
  Returns:
    false

### toXML

    public void toXML(Writer rtn,
                      int indent)
               throws IOException

  Outputs a formatted XML representation of SOMObject.

  Specified by:
    `toXML` in class `SOMObject`
  Parameters:
    `indent` - the indent level for formatting at which to start this schema object.
    `rtn` - printable XML Schema
  Returns:
    formatted XML stream
  Throws:
    `IOException` - if IOExcpetion is thrown by underlying java.io.Writer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD